#!/bin/bash
# pr_clean.sh
# created and copyrighted:  4 May 13
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
fi

name=`cat $dot/name`


# fix imports
F=`find $PRIDE/$name/ -name '*'.java | grep src`
for f in $F; do 
	pr_header.sh $f
	remove_unused_imports.awk $f; 
done

# clean
cd $PRIDE/$name
ant clean
