#!/bin/bash
# pr_lint.sh
# created and copyrighted:  4 May 13
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
fi

name=`cat $dot/name`
html=/tmp/pr_lint.html

cd

$ANDROID_HOME/tools/lint -Wall --html $html $PRIDE/$name | zenity --progress --pulsate  && $BROWSER $html
