#!/bin/bash
# pr_project.sh
# created and copyrighted:  4 May 13
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi

zenList "Projects" "Select New Backup Hide Unhide Import Icons ScreenShot UpdateClass UpdateResDir UpdateSeries BatchBuild BatchLoad BatchClean BatchRelease Draw9Patch Clone SDK_Mgr"

if [ "$CHOICE" == "ScreenShot" ]; then
	ddms &
elif [ "$CHOICE" == "Draw9Patch" ]; then
	draw9patch &
elif [ "$CHOICE" == "SDK_Mgr" ]; then
	android sdk &
else
	pr_project$CHOICE.sh
fi
