#!/bin/bash
# pr_projectUpdateResDir.sh
# created and copyrighted:  14 aug 13
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi

name=`ls -F $PRIDE | grep / | tr -d / | zenity --list --height=400 --title "Update Res Dir" --column "Project" 2>/dev/null`

if [ "$name" == "" ]; then
	exit
fi

src=$PRIDE/$name/res
srcDir=`ls -F $src | grep / | tr -d / | zenity --list --height=400 --title "Choose Dir" --column "Dirs"  2>/dev/null`

if [ "$srcDir" == "" ]; then
	exit
fi

src=$src/$srcDir

names=`ls -1 $src`
for l in $names; do
	echo "FALSE "$l >> pr_tmp
done
names=`cat pr_tmp`
rm pr_tmp

srcFiles=`zenity  --height=480 --width=300 --list --multiple --column=Select --checklist --column=Files $names` 
srcFiles=`echo $srcFiles | tr \| " "`

if [ "$srcFiles" == "" ]; then
	exit
fi

dests=`ls -F $PRIDE | grep / | tr -d /`
for l in $dests; do
	echo "FALSE "$l >> pr_tmp
done
dests=`cat pr_tmp`
rm pr_tmp

zenChoices Select Project "$dests"

for c in $CHOICES; do
	for s in $srcFiles; do
		cp $src/$s  $PRIDE/$c/res/$srcDir
	done
done