#!/bin/bash
# pr_uninstall.sh
# created and copyrighted:  Fri May 31 08:36:16 EDT 2013
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
fi

package=`cat $dot/package`

ADB=$ANDROID_HOME/platform-tools/adb
$ADB start-server

DEVICES=`$ADB devices | awk '{ if ($0 ~ /device/ ){ ret = split($0, a, " ") }\
				{ if (ret == 2) {print a[1]}; ret = 0; }}'`

zenity --question --text="Keep data?" && KEEP="-k"

for d in $DEVICES; do
	$ADB -s $d shell pm uninstall $KEEP $package
	done

skill -9 adb
