//
// pride injection
// call prepSdCardAppDir from onCreate
//
    public final int GET_FILE = 0;

	public void triggerBoilerPlate() {
		Intent i = new Intent(this, BoilerPlate.class);
		startActivityForResult(i, GET_FILE);
	}



	@Override
	public void onActivityResult(int requestCode, int resultCode, Intent intent) {
		super.onActivityResult(requestCode, resultCode, intent);
		if (intent != null) {

			if (resultCode == RESULT_OK) {
				switch (requestCode) {
				case GET_FILE:
					String fname = intent.getStringExtra("FILE");
					Toast.makeText(this, "filename: " + fname, Toast.LENGTH_SHORT).show();
                    }
            }
        }
    }


	public PRAFileHandler fhandler = new PRAFileHandler(this);
    public String this_app_dir; 

    /*
     * example files copied to sdcard if read.me deleted
     *
	 */
    public void prepSdcardAppDir(){

		File sdCard = Environment.getExternalStorageDirectory();
		this_app_dir = sdCard.getAbsolutePath() +"/"+ 
			getResources().getString(R.string.app_name);
		File dir = new File(this_app_dir + "/img");
		dir.mkdirs();
		File readme = new File(this_app_dir, "read.me");
		if (readme.length() == 0) {
			fhandler.copyAssets(this_app_dir, ".html");
			fhandler.copyAssets(this_app_dir, ".css");
			fhandler.copyAssets(this_app_dir + "/img", ".png");
			fhandler.copyAssets(this_app_dir, ".me");
    	}
    }
