
/**
 * These go at top of file
 **/
	public PRAFileHandler fhandler = new PRAFileHandler(this);
	public final int EULA = 0;
	public String oldVer = "-1";
	public String curVer = "0";


/**
 * This goes in onCreate after setContentView
 */
        PackageInfo pi = null;
        try {
             pi = getPackageManager().getPackageInfo(getPackageName(), 
												PackageManager.GET_ACTIVITIES);
        } catch (PackageManager.NameNotFoundException e) { ; /**empty**/ }
		if (pi != null){
			curVer = new Integer(pi.versionCode).toString();
		}
		String[] oldVerFile = fhandler.getFileAsArray("eula.txt");
		if (oldVerFile.length > 0){oldVer = oldVerFile[0];}
		if (! oldVer.matches(curVer)){
				Intent eula = new Intent(this, PRAEula.class);
				eula.putExtra("VER", curVer);
				startActivityForResult(eula, EULA);
		} else {
			postCreate();
		}
		/**
		 * The rest of your onCreate goes in postCreate()
		 **/

	public void postCreate(){
		// TODO
	}

	@Override
	public void onActivityResult(int requestCode, int resultCode, Intent intent) {
		super.onActivityResult(requestCode, resultCode, intent);
		if (intent != null) {
			if (resultCode == RESULT_OK) {
				switch (requestCode) {
				case EULA:
					String[] ver = { curVer };
					fhandler.writeArrayToFile(ver, "eula.txt");
					postCreate();
					break;
				}
            } else {
				finish();
			}
        }
    }

