#!/bin/bash
# pr_actBatteryService.sh
# created and copyrighted:  Mon May 13 06:58:27 EDT 2013
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi

setSrc
PLT=$dot/plate/object/EdgeEffectListView

zenFormActivitiesNoName

# injections
parentImport
XMLvalues

# res dirs
DIRS=`ls $PLT/res`
for d in $DIRS; do
	mkdir $PRIDE/$name/res/$d/
	cp $PLT/res/$d/* $PRIDE/$name/res/$d/
done

cp -rL $PLT/src/* $src/
rm $src/4Parent.java 

prReplace
