#!/bin/bash
# pr_actNetworkService.sh
# created and copyrighted:  Mon May 13 07:31:43 EDT 2013
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi

setSrc
PLT=$dot/plate/object/NetworkService

zenFormActivities

# injections
parentImport
XMLmanifest
XMLvalues

# res dirs
DIRS=`ls $PLT/res`
for d in $DIRS; do
	mkdir $PRIDE/$name/res/$d/
	cp $PLT/res/$d/* $PRIDE/$name/res/$d/
done

rm $PRIDE/$name/res/layout/activity_boilerplate.xml
cp $PLT/res/layout/activity_boilerplate.xml $PRIDE/$name/res/layout/activity_$tokenlc.xml


# libs dir
mkdir $PRIDE/$name/libs
cp -L $PLT/libs/* $PRIDE/$name/libs/

# src dir
cp -rL $PLT/src/* $src/
rm $src/4Parent.java 
mv $src/BoilerPlate.java $src/$token.java


prReplace
