#!/bin/bash
# pr_objContentProvider.sh
# created and copyrighted:  9 May 13
#
# author: R. Earle Harris (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#

if [ "$dot" == "" ]; then
	dot=$HOME/.pride
	source $dot/pride.rc
	source $dot/pride.src
fi

setSrc
PLT=$dot/plate/object/Notification

zenEntry "Name for Notification"
token=$CHOICE
tokenlc=`echo $token | tr [:upper:] [:lower:]`

# injections
XMLmanifest
XMLvalues

# files
cp $PLT/src/BoilerPlate.java $src/$token.java

# search and replace
prReplace

# icons
DIRS=`ls $PLT/res`
for d in $DIRS; do
	mkdir $PRIDE/$name/res/$d/
	cp $PLT/res/$d/* $PRIDE/$name/res/$d/
done











